package DreamBookMIDlet.Dictionary;

import DreamBookMIDlet.*;
import java.io.*;

public class Descriptions {
    
    private static final String fileName = "/DreamBookMIDlet/Data/Descriptions.txt";
    private static final String prefixFileName = "/DreamBookMIDlet/Data/D";
    private static final int splitFileSize = 0x4000;
    private DescriptionsOffsets descriptionsOffsets;
    
    public Descriptions() {
        descriptionsOffsets = new DescriptionsOffsets();
    }
    
    public String getDescription(int index) {
        try {
            String description = "";
            int offset0 = descriptionsOffsets.getOffset(index);
            int offset1 = descriptionsOffsets.getOffset(index + 1);
            int i0 = offset0 / splitFileSize;
            int i1 = offset1 / splitFileSize;
            int localOffset0 = offset0 - (i0 * splitFileSize);
            int localOffset1 = offset1 - (i1 * splitFileSize);
            if (i0 == i1) {
                DataInputStream dataInputStream = new DataInputStream(Class.forName("java.lang.Class").getResourceAsStream(prefixFileName + String.valueOf(i0) + ".txt"));
                dataInputStream.skip(localOffset0);
                byte[] buffer = new byte[(localOffset1 - 1) - localOffset0];
                dataInputStream.read(buffer);
                description += CharSets.CP1251ArrayToString(buffer);
                dataInputStream.close();
                System.gc();
            }
            else {
                byte[] buffer = new byte[splitFileSize - localOffset0];
                DataInputStream dataInputStream = new DataInputStream(Class.forName("java.lang.Class").getResourceAsStream(prefixFileName + String.valueOf(i0) + ".txt"));
                dataInputStream.skip(localOffset0);
                dataInputStream.read(buffer);
                description += CharSets.CP1251ArrayToString(buffer);
                dataInputStream.close();
                System.gc();
                buffer = new byte[localOffset1 - 1];
                dataInputStream = new DataInputStream(Class.forName("java.lang.Class").getResourceAsStream(prefixFileName + String.valueOf(i1) + ".txt"));
                dataInputStream.read(buffer);
                description += CharSets.CP1251ArrayToString(buffer);
                dataInputStream.close();
                System.gc();
            }
            return description;
        }
        catch (Exception E) {
            return "";
        }
    }
    
}
