package DreamBookMIDlet.Dictionary;

import java.io.*;

public class WordsOffsets {
    
    private static final String fileName = "/DreamBookMIDlet/Data/WordsOffsets.txt";
    private static final int count = 1268;
    private int[] offsets;
    
    public WordsOffsets() {
        offsets = new int[count];
        try {
            DataInputStream dataInputStream = new DataInputStream(Class.forName("java.lang.Class").getResourceAsStream(fileName));
            for (int i = 0; i < count; i++) {
                offsets[i] = dataInputStream.readInt();
            }
            dataInputStream.close();
            System.gc();
        }
        catch (Exception E) {
        }
    }
    
    public int getOffset(int index) {
        return offsets[index];
    }
    
    public int getIndex(int offset) {
        for (int i = 0; i < count; i++) {
            if (offsets[i] > offset) {
                return i - 1;
            }
        }
        return -1;
    }
    
}
