package DreamBookMIDlet;

import javax.microedition.lcdui.*;

public class SearchedWordsList extends List implements CommandListener {
    
    private Command backCommand = new Command("", Command.BACK, 0);
    private int[] searchedWordsIndexes;
    
    public SearchedWordsList(int[] searchedWordsIndexes) {
        super("", IMPLICIT);
        addCommand(backCommand);
        setCommandListener(this);
        this.searchedWordsIndexes = searchedWordsIndexes;
        for (int i = 0; i < searchedWordsIndexes.length; i++) {
            append(DreamBookMIDlet.main.getDictionary().getWord(searchedWordsIndexes[i]), null);
        }
    }
    
    public void commandAction(Command command, Displayable displayable) {
        if (command == SELECT_COMMAND) {
            DreamBookMIDlet.display.setCurrent(new DescriptionForm(searchedWordsIndexes[getSelectedIndex()]));
        }
        else if (command == backCommand) {
            DreamBookMIDlet.display.setCurrent(DreamBookMIDlet.main);
        }
    }
    
}
