package DreamBookMIDlet.Dictionary;

import java.io.*;

public class DescriptionsOffsets {
    
    private static final String fileName = "/DreamBookMIDlet/Data/DescriptionsOffsets.txt";
    private static final int count = 1268;
    private int[] offsets;
    
    public DescriptionsOffsets() {
        offsets = new int[count];
        try {
            DataInputStream dataInputStream = new DataInputStream(Class.forName("java.lang.Class").getResourceAsStream(fileName));
            for (int i = 0; i < count; i++) {
                offsets[i] = dataInputStream.readInt();
            }
            dataInputStream.close();
            System.gc();
        }
        catch (Exception E) {
        }
    }
    
    public int getOffset(int index) {
        return offsets[index];
    }
    
}
